Простой способ установить пакет .deb без aptitude или synaptic? [Дубликат]

Другой способ изменения названия gnome-terminal заключается в использовании gconftool-2; это изменяет начальный заголовок терминала для выбранного профиля, поэтому у вас могут быть разные профили, связанные с титрами, такими как «Apache», «Редактирование» и т. д. Затем вы запускали gnome-terminal с соответствующим профилем, чтобы получить название терминала, которое у вас было указано. Это контрастирует с gnome-terminal --title "name", который изменяет заголовок на терминал, но не влияет на начальный заголовок, указанный в профиле.

Вы можете использовать следующую команду в скрипте для установки имени терминал для профиля, и вы могли бы изменить название терминала в определенное время дня, чтобы напомнить вам о вещах:

gconftool-2 --set /apps/gnome-terminal/profiles/Default/title --type=string "Apache"

Это для профиля по умолчанию, но вы можете установить заголовок для других профилей, изменив, например, Default на другой профиль, такой как Profile0:

gconftool-2 --set /apps/gnome-terminal/profiles/Profile0/title --type=string "Editing"

Я думал, что этот способ изменения названия полезен из-за того, используемый в сценариях, или просто как быстрый способ командной строки для установки заголовка для профиля. Обратите внимание, что иногда вам нужно перезапустить терминал с указанным профилем для параметра gconftool-2, чтобы он повлиял. Полные настройки, доступные для gnome-terminal, можно указать с помощью gconftool-2 -R /apps/gnome-terminal.

1
задан 11 February 2014 в 23:23

1 ответ

Попробуйте установить пакеты .deb через gdebi,

 sudo gdebi filename.deb

Запустите команду ниже, чтобы установить gdebi,

 sudo apt-get install gdebi

Установка .deb файл через gdebi удалит ошибки зависимостей.

3
ответ дан 24 May 2018 в 11:54
  • 1
    sudo apt-get install gdebi sudo: невозможно разрешить хост srv1 Чтение списков пакетов ... Готово Создание дерева зависимостей Чтение информации о состоянии ... Готово Возможно, вы захотите запустить «apt-get -f install», чтобы исправить это: Вернул следующий Ошибка: следующие пакеты имеют неудовлетворенные зависимости: gdebi: Depends: gdebi-core (= 0.8.5ubuntu1.1), но он не будет установлен – showmemn 11 February 2014 в 23:42
  • 2
    похоже, что вы нарушили свою систему, пытаясь установить что-то еще @showmemn – Mateo 11 February 2014 в 23:43
  • 3
    работал, должен был запустить sudo apt-get install -f – showmemn 11 February 2014 в 23:44

Другие вопросы по тегам:

Похожие вопросы: